using System;
using System.Globalization;
using System.Reflection;

internal sealed class Delegate17 : MulticastDelegate
{
	public extern void Invoke(object object_0, object object_1, object object_2, BindingFlags bindingFlags_0, Binder binder_0, object[] object_3, CultureInfo cultureInfo_0);

	public static void smethod_0(object object_0, object object_1, object object_2, BindingFlags bindingFlags_0, Binder binder_0, object[] object_3, CultureInfo cultureInfo_0, Delegate17 delegate17_1)
	{
		delegate17_1(object_0, object_1, object_2, bindingFlags_0, binder_0, object_3, cultureInfo_0);
	}

	public extern Delegate17(object object_0, IntPtr intptr_0);

	static Delegate17()
	{
		Class10.smethod_13(typeof(Delegate17).TypeHandle);
	}

	internal static Delegate17 delegate17_0;
}
